FS_DirectoryEntry Struct Reference

Directory entry. More...

`#include <fs.h>`

## Data Fields

u16 | name [0x106]
| UTF-16 directory name.
char | shortName [0x0A]
| File name.
char | shortExt [0x04]
| File extension.
u8 | valid
| Valid flag. (Always 1)
u8 | reserved
| Reserved.
u32 | attributes
| Attributes.
u64 | fileSize
| File size.

## Detailed Description

Directory entry.

The documentation for this struct was generated from the following file:

- include/3ds/services/fs.h